Index: WAeUP_SRP/trunk/Students.py
===================================================================
--- WAeUP_SRP/trunk/Students.py	(revision 763)
+++ WAeUP_SRP/trunk/Students.py	(revision 764)
@@ -246,5 +246,6 @@
                  'wrong': "Wrong",
                  'pume_eng_score': "EngScore",
-                 'pume_tot_score': "GenScore",
+                 'pume_gen_score': "GenScore",                 
+                 'pume_tot_score': "Right",
                  'batch': "Batch",
                  'serial': "SerialNo",
@@ -333,4 +334,5 @@
             dp_fields = (
                          'pume_eng_score',
+                         'pume_gen_score',
                          'pume_tot_score',
                          )
@@ -618,28 +620,28 @@
 ###)
 
-##    security.declareProtected(View,'createSubObjects') ###(
-##   def createSubObjects(self):
-##        """make the student a member"""
-##        dp = {'Title': 'Personal Data'}
-##        app_doc = self.application.getContent()
-##        names = app_doc.jamb_lastname.split()
-##        if len(names) == 3:
-##            dp['firstname'] = names[0].capitalize()
-##            dp['middlename'] = names[1].capitalize()
-##            dp['lastname'] = names[2].capitalize()
-##        elif len(names) == 2:
-##            dp['firstname'] = names[0].capitalize()
-##            dp['lastname'] = names[1].capitalize()
-##        else:
-##            dp['lastname'] = app_doc.jamb_lastname
-##        dp['sex'] = app_doc.jamb_sex == 'F'
-##        dp['lga'] = "%s/%s" % (app_doc.jamb_state,app_doc.jamb_lga )
-##        proxy = self.aq_parent
-##        proxy.invokeFactory('StudentPersonal','personal')
-##        per = proxy.personal
-##        per_doc = per.getContent()
-##        per_doc.edit(mapping = dp)
-##        per.manage_setLocalRoles(self.getId(), ['Owner',])
-##        #self.portal_workflow.doActionFor(per,'open',dest_container=per)
+    security.declareProtected(View,'createSubObjects') ###(
+    def createSubObjects(self):
+        """make the student a member"""
+        dp = {'Title': 'Personal Data'}
+        app_doc = self.application.getContent()
+        names = app_doc.jamb_lastname.split()
+        if len(names) == 3:
+            dp['firstname'] = names[0].capitalize()
+            dp['middlename'] = names[1].capitalize()
+            dp['lastname'] = names[2].capitalize()
+        elif len(names) == 2:
+            dp['firstname'] = names[0].capitalize()
+            dp['lastname'] = names[1].capitalize()
+        else:
+            dp['lastname'] = app_doc.jamb_lastname
+        dp['sex'] = app_doc.jamb_sex == 'F'
+        dp['lga'] = "%s/%s" % (app_doc.jamb_state,app_doc.jamb_lga )
+        proxy = self.aq_parent
+        proxy.invokeFactory('StudentPersonal','personal')
+        per = proxy.personal
+        per_doc = per.getContent()
+        per_doc.edit(mapping = dp)
+        per.manage_setLocalRoles(self.getId(), ['Owner',])
+        #self.portal_workflow.doActionFor(per,'open',dest_container=per)
 
 ###)
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_pume.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_pume.xml	(revision 763)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_pume.xml	(revision 764)
@@ -20,11 +20,11 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
- <widget name="pume_gen_paper" meta_type="String Widget">
-  <property name="title">PUME General Paper</property>
+ <widget name="pume_gen_score" meta_type="String Widget">
+  <property name="title">PUME General Score</property>
   <property name="fields">
-   <element value="pume_gen_paper"/>
+   <element value="pume_gen_score"/>
   </property>
-  <property name="label">PUME General Paper</property>
-  <property name="label_edit">PUME General Paper</property>
+  <property name="label">PUME General Score</property>
+  <property name="label_edit">PUME General Score</property>
   <property name="readonly_layout_modes">
   </property>
@@ -59,17 +59,14 @@
  <table>
   <row>
-   <cell name="pume_gen_paper" ncols="3"/>
+   <cell name="pume_gen_score" ncols="1"/>
   </row>
   <row>
-   <cell name="pume_eng_score" ncols="3"/>
+   <cell name="pume_eng_score" ncols="1"/>
   </row>
   <row>
-   <cell name="pume_math_score" ncols="3"/>
+   <cell name="pume_math_score" ncols="1"/>
   </row>
   <row>
-   <cell name="pume_tot_score" ncols="3"/>
-  </row>
-  <row>
-   <cell name="passport" ncols="3"/>
+   <cell name="pume_tot_score" ncols="1"/>
   </row>
  </table>
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_pume.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_pume.xml	(revision 763)
+++ WAeUP_SRP/trunk/profiles/default/schemas/student_pume.xml	(revision 764)
@@ -2,5 +2,5 @@
 <object name="student_pume" meta_type="CPS Schema">
  <field name="pume_eng_score" meta_type="CPS String Field"/>
- <field name="pume_gen_paper" meta_type="CPS String Field"/>
+ <field name="pume_gen_score" meta_type="CPS String Field"/>
  <field name="pume_math_score" meta_type="CPS String Field"/>
  <field name="pume_tot_score" meta_type="CPS String Field"/>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentSemester.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentSemester.xml	(revision 763)
+++ 	(revision )
@@ -1,42 +1,0 @@
-<?xml version="1.0"?>
-<object name="StudentSemester" meta_type="CPS Flexible Type Information"
-   xmlns:i18n="http://xml.zope.org/namespaces/i18n">
- <property name="title">WAeUP StudentSemester Folder</property>
- <property name="description"></property>
- <property name="content_icon"></property>
- <property name="content_meta_type">StudentSemester</property>
- <property name="product">WAeUP_SRP</property>
- <property name="factory">addStudentSemester</property>
- <property name="immediate_view">folder_view</property>
- <property name="global_allow">True</property>
- <property name="filter_content_types">True</property>
- <property name="allowed_content_types">
-  <element value="StudentCourseResult"/>
- </property>
- <property name="allow_discussion">False</property>
- <property name="cps_is_searchable">False</property>
- <property name="cps_proxy_type">folder</property>
- <property name="cps_display_as_document_in_listing">True</property>
- <property name="schemas">
-<element value="metadata"/>
-  </property>
- <property name="layouts"/>
- <property name="layout_clusters">
-  <element value=""/>
- </property>
- <property name="flexible_layouts"/>
- <property name="storage_methods"/>
- <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="waeup_document_view"/>
- <alias from="view" to="waeup_document_view"/>
- <action title="View" action_id="view" category="object" condition_expr=""
-    url_expr="string:${object_url}/waeup_document_view" visible="True">
-  <permission value="View"/>
- </action>
- <action title="Add Course" action_id="new_entry" category="object"
-    condition_expr=""
-    url_expr="string:${object_url}/content_create?type_name=CertificateCourse"
-    visible="True">
-  <permission value="Modify portal content"/>
- </action>
-</object>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentSemester.xml_not_used
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentSemester.xml_not_used	(revision 764)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentSemester.xml_not_used	(revision 764)
@@ -0,0 +1,42 @@
+<?xml version="1.0"?>
+<object name="StudentSemester" meta_type="CPS Flexible Type Information"
+   xmlns:i18n="http://xml.zope.org/namespaces/i18n">
+ <property name="title">WAeUP StudentSemester Folder</property>
+ <property name="description"></property>
+ <property name="content_icon"></property>
+ <property name="content_meta_type">StudentSemester</property>
+ <property name="product">WAeUP_SRP</property>
+ <property name="factory">addStudentSemester</property>
+ <property name="immediate_view">folder_view</property>
+ <property name="global_allow">True</property>
+ <property name="filter_content_types">True</property>
+ <property name="allowed_content_types">
+  <element value="StudentCourseResult"/>
+ </property>
+ <property name="allow_discussion">False</property>
+ <property name="cps_is_searchable">False</property>
+ <property name="cps_proxy_type">folder</property>
+ <property name="cps_display_as_document_in_listing">True</property>
+ <property name="schemas">
+<element value="metadata"/>
+  </property>
+ <property name="layouts"/>
+ <property name="layout_clusters">
+  <element value=""/>
+ </property>
+ <property name="flexible_layouts"/>
+ <property name="storage_methods"/>
+ <property name="cps_is_portlet">False</property>
+ <alias from="(Default)" to="waeup_document_view"/>
+ <alias from="view" to="waeup_document_view"/>
+ <action title="View" action_id="view" category="object" condition_expr=""
+    url_expr="string:${object_url}/waeup_document_view" visible="True">
+  <permission value="View"/>
+ </action>
+ <action title="Add Course" action_id="new_entry" category="object"
+    condition_expr=""
+    url_expr="string:${object_url}/content_create?type_name=CertificateCourse"
+    visible="True">
+  <permission value="Modify portal content"/>
+ </action>
+</object>