Index: /WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py	(revision 766)
+++ /WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py	(revision 767)
@@ -52,5 +52,5 @@
             student = info['student']
             if info['review_state'] in ("student_created","admitted"):
-                student.content_status_modify(workflow_action="enter_clearance_pin")
+                #student.content_status_modify(workflow_action="enter_clearance_pin")
                 wftool.doActionFor(info['app'],'open',dest_container=info['app'])
                 da = {}
Index: /WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 766)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 767)
@@ -72,5 +72,5 @@
 s_edit_links = {'StudentApplication': 'student_edit',
               'StudentAccommodation': '',
-              'StudentClearance': '',
+              'StudentClearance': 'clearance_student',
               'StudentPersonal': '',
               }
@@ -97,5 +97,5 @@
     row['s_edit_link'] = None
     if se_link:
-        row['s_edit_link'] = "%s/%s" % (student.absolute_url(),se_link)
+        row['s_edit_link'] = "%s/%s" % (soo.absolute_url(),se_link)
     row['review_state'] = so.review_state
     row['display'] = so.review_state in ('opened','closed',) or\
Index: /WAeUP_SRP/trunk/skins/waeup_student/student_edit.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/student_edit.py	(revision 766)
+++ /WAeUP_SRP/trunk/skins/waeup_student/student_edit.py	(revision 767)
@@ -70,4 +70,5 @@
             psm = 'psm_content_error'
     else:
+        psm = ''
         args = {}
         if info['review_state'] == "student_created":
@@ -76,25 +77,18 @@
             psm = 'You applied for admission.'
             action = "/application_view"
-        elif info['review_state'] == "clearance_pin_entered":
-            student.content_status_modify(workflow_action="request_clearance")
+        elif info['review_state'] == "admitted":
+            student.content_status_modify(workflow_action="enter_clearance_pin")
             #wftool.doActionFor(info['clear'],'open',dest_container=info['clear'])
-            da = {}
-            pin = REQUEST.get('pin')
-            da['app_ac_pin'] = pin
-            da['app_ac_date'] = current
             app_doc = info['app_doc']
-            app_doc.edit(mapping = da)
             dc = {}
             dc['email'] = app_doc.appl_email
             dc['mobil'] = app_doc.appl_mobile
-            dc['passport'] = app_doc.passport
             info['clear_doc'].edit(mapping = dc)
             wftool.doActionFor(app,'close',dest_container= app)
-            psm = 'You requested clearance.'
+            psm = 'You successfully started the clearance process.'
             action = "/clearance_view"
         else:
-            psm = ''
             action = "/clearance_view"
-            
+
 else:
     is_valid, ds = app_doc.validate(request=REQUEST, proxy=context, cluster=cluster,
Index: /WAeUP_SRP/trunk/skins/waeup_student/student_index.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/student_index.py	(revision 766)
+++ /WAeUP_SRP/trunk/skins/waeup_student/student_index.py	(revision 767)
@@ -32,7 +32,7 @@
     if state == 'admission_applied':
         return redirect("%s/application_view" % student.absolute_url())
-    elif state in ('application_pin_entered','clearance_pin_entered'):
+    elif state in ('application_pin_entered','admitted'):
         return redirect("%s/passport_entry_view" % student.absolute_url())
-    elif state == 'request_clearance':
+    elif state == 'clearance_pin_entered':
         return redirect("%s/student_view" % info['clear'].absolute_url())
     elif context.portal_type == 'StudentStudyLevel':