Index: WAeUP_SRP/trunk/profiles/default/layouts/scratch_card_batch.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/scratch_card_batch.xml	(revision 769)
+++ WAeUP_SRP/trunk/profiles/default/layouts/scratch_card_batch.xml	(revision 770)
@@ -4,5 +4,5 @@
  <property name="layout_edit_method"></property>
  <property name="layout_view_method"></property>
- <property name="style_prefix">layout_default_</property>
+ <property name="style_prefix">layout_waeup_</property>
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 769)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 770)
@@ -49,9 +49,9 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
- <widget name="appl_email" meta_type="Email Widget">
+ <widget name="app_email" meta_type="Email Widget">
   <property name="is_required">False</property>
   <property name="title">Email Address</property>
   <property name="fields">
-   <element value="appl_email"/>
+   <element value="app_email"/>
   </property>
   <property name="label">Email Address</property>
@@ -63,8 +63,8 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
- <widget name="appl_mobile" meta_type="String Widget">
+ <widget name="app_mobile" meta_type="String Widget">
   <property name="title">Mobile Phone No</property>
   <property name="fields">
-   <element value="appl_mobile"/>
+   <element value="app_mobile"/>
   </property>
   <property name="label">Mobile Phone No</property>
@@ -259,8 +259,8 @@
   </row>
   <row>
-   <cell name="appl_email" ncols="3"/>
-  </row>
-  <row>
-   <cell name="appl_mobile" ncols="3"/>
+   <cell name="app_email" ncols="3"/>
+  </row>
+  <row>
+   <cell name="app_mobile" ncols="3"/>
   </row>
   <row>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml	(revision 769)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml	(revision 770)
@@ -24,5 +24,5 @@
  </widget>
  <widget name="app_ac_pin" meta_type="Scratchcard Pin Widget">
-  <property name="title">Application PIN</property>
+  <property name="title">Access Code</property>
   <property name="fields">
    <element value="app_ac_pin"/>
@@ -30,5 +30,5 @@
   <property name="is_required">True</property>
   <property name="label">Access Code</property>
-  <property name="label_edit">Application PIN</property>
+  <property name="label_edit">Access Code</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -54,8 +54,8 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
- <widget name="appl_email" meta_type="Email Widget">
+ <widget name="app_email" meta_type="Email Widget">
   <property name="title">Email Address</property>
   <property name="fields">
-   <element value="appl_email"/>
+   <element value="app_email"/>
   </property>
   <property name="label">Email Address</property>
@@ -67,8 +67,8 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
- <widget name="appl_mobile" meta_type="String Widget">
+ <widget name="app_mobile" meta_type="String Widget">
   <property name="title">Mobile Phone No</property>
   <property name="fields">
-   <element value="appl_mobile"/>
+   <element value="app_mobile"/>
   </property>
   <property name="label">Mobile Phone No</property>
@@ -234,8 +234,8 @@
   </row>
   <row>
-   <cell name="appl_email" ncols="3"/>
-  </row>
-  <row>
-   <cell name="appl_mobile" ncols="3"/>
+   <cell name="app_email" ncols="3"/>
+  </row>
+  <row>
+   <cell name="app_mobile" ncols="3"/>
   </row>
   <row>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml	(revision 769)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml	(revision 770)
@@ -497,19 +497,4 @@
   <property name="vocabulary">states</property>
  </widget>
- <widget name="passport" meta_type="Image Widget">
-  <property name="title">Passport</property>
-  <property name="fields">
-   <element value="passport"/>
-  </property>
-  <property name="label">Passport</property>
-  <property name="label_edit">Passport</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">204800</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
-  <property name="allow_resize">True</property>
- </widget>
  <widget name="ref_let" meta_type="Image Widget">
   <property name="title">Referee Letter</property>
@@ -759,7 +744,4 @@
   </row>
   <row>
-   <cell name="passport"/>
-  </row>
-  <row>
    <cell name="jamb_let"/>
   </row>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 769)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 770)
@@ -498,19 +498,4 @@
   <property name="vocabulary">states</property>
  </widget>
- <widget name="passport" meta_type="Image Widget">
-  <property name="title">Passport</property>
-  <property name="fields">
-   <element value="passport"/>
-  </property>
-  <property name="label">Passport</property>
-  <property name="label_edit">Passport</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">204800</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
-  <property name="allow_resize">True</property>
- </widget>
  <widget name="ref_let" meta_type="Image Widget">
   <property name="title">Referee Letter</property>
@@ -667,7 +652,4 @@
   </row>
   <row>
-   <cell name="passport"/>
-  </row>
-  <row>
    <cell name="lga"/>
   </row>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_pume.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_pume.xml	(revision 769)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_pume.xml	(revision 770)
@@ -8,5 +8,5 @@
  <property name="validate_values_expr"></property>
 
- <widget name="pume_eng_score" meta_type="String Widget">
+ <widget name="pume_eng_score" meta_type="Float Widget">
   <property name="title">PUME English Score</property>
   <property name="fields">
@@ -20,5 +20,5 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
- <widget name="pume_gen_score" meta_type="String Widget">
+ <widget name="pume_gen_score" meta_type="Float Widget">
   <property name="title">PUME General Score</property>
   <property name="fields">
@@ -32,5 +32,5 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
- <widget name="pume_math_score" meta_type="String Widget">
+ <widget name="pume_math_score" meta_type="Float Widget">
   <property name="title">PUME Mathematics Score</property>
   <property name="fields">
@@ -44,5 +44,5 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
- <widget name="pume_tot_score" meta_type="String Widget">
+ <widget name="pume_tot_score" meta_type="Float Widget">
   <property name="title">PUME Total Score</property>
   <property name="fields">
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_application.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_application.xml	(revision 769)
+++ WAeUP_SRP/trunk/profiles/default/schemas/student_application.xml	(revision 770)
@@ -3,6 +3,6 @@
  <field name="app_ac_date" meta_type="CPS DateTime Field"/>
  <field name="app_ac_pin" meta_type="CPS String Field"/>
- <field name="appl_email" meta_type="CPS String Field"/>
- <field name="appl_mobile" meta_type="CPS String Field"/>
+ <field name="app_email" meta_type="CPS String Field"/>
+ <field name="app_mobile" meta_type="CPS String Field"/>
  <field name="entry_mode" meta_type="CPS String Field"/>
  <field name="jamb_age" meta_type="CPS Int Field"/>
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_clearance.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_clearance.xml	(revision 769)
+++ WAeUP_SRP/trunk/profiles/default/schemas/student_clearance.xml	(revision 770)
@@ -51,5 +51,4 @@
  <field name="cert" meta_type="CPS Image Field"/>
  <field name="evid" meta_type="CPS Image Field"/>
- <field name="passport" meta_type="CPS Image Field"/>
  <field name="jamb_let" meta_type="CPS Image Field"/>
  <field name="res_stat" meta_type="CPS Image Field"/>
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_pume.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_pume.xml	(revision 769)
+++ WAeUP_SRP/trunk/profiles/default/schemas/student_pume.xml	(revision 770)
@@ -1,7 +1,7 @@
 <?xml version="1.0"?>
 <object name="student_pume" meta_type="CPS Schema">
- <field name="pume_eng_score" meta_type="CPS String Field"/>
- <field name="pume_gen_score" meta_type="CPS String Field"/>
- <field name="pume_math_score" meta_type="CPS String Field"/>
- <field name="pume_tot_score" meta_type="CPS String Field"/>
+ <field name="pume_eng_score" meta_type="CPS Float Field"/>
+ <field name="pume_gen_score" meta_type="CPS Float Field"/>
+ <field name="pume_math_score" meta_type="CPS Float Field"/>
+ <field name="pume_tot_score" meta_type="CPS Float Field"/>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/types/ScratchCardBatch.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/ScratchCardBatch.xml	(revision 769)
+++ WAeUP_SRP/trunk/profiles/default/types/ScratchCardBatch.xml	(revision 770)
@@ -8,5 +8,5 @@
  <property name="product">WAeUP_SRP</property>
  <property name="factory">addScratchCardBatch</property>
- <property name="immediate_view">folder_view</property>
+ <property name="immediate_view">batch_view</property>
  <property name="global_allow">True</property>
  <property name="filter_content_types">True</property>
Index: WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_subobject_wf/definition.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_subobject_wf/definition.xml	(revision 769)
+++ WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_subobject_wf/definition.xml	(revision 770)
@@ -9,4 +9,5 @@
  <state state_id="closed" title="">
   <exit-transition transition_id="open"/>
+  <exit-transition transition_id="publish"/>
  </state>
  <state state_id="content_addable" title="">
@@ -51,4 +52,15 @@
                   acquired="True">
    <permission-role>Owner</permission-role>
+  </permission-map>
+ </state>
+ <state state_id="public" title="">
+  <exit-transition transition_id="close"/>
+  <permission-map name="Add portal content" acquired="True">
+  </permission-map>
+  <permission-map name="Modify portal content"
+                  acquired="True">
+  </permission-map>
+  <permission-map name="View" acquired="True">
+   <permission-role>Anonymous</permission-role>
   </permission-map>
  </state>
@@ -97,3 +109,12 @@
   </guard>
  </transition>
+ <transition transition_id="publish" title=""
+             new_state="public" trigger="USER"
+             before_script="" after_script="">
+  
+  <guard>
+   <guard-role>Manager</guard-role>
+   <guard-role>SectionManager</guard-role>
+  </guard>
+ </transition>
 </cps-workflow>
Index: WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py	(revision 769)
+++ WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py	(revision 770)
@@ -87,5 +87,7 @@
     member.setProperties(last_login_time=current,login_time=current)
     if info['review_state'] == "application_pin_entered":
-        return response.redirect("%s/passport_entry_view" % student.absolute_url())
+        return response.redirect("%s/application_edit" % student.absolute_url())
+    elif info['review_state'] == "clearance_pin_entered":
+        return response.redirect("%s/clearance_edit" % student.absolute_url())        
     return response.redirect("%s/student_index" % info['url'])
 
Index: WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_lib.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_lib.pt	(revision 769)
+++ WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_lib.pt	(revision 770)
@@ -50,5 +50,5 @@
               <tal:block condition="not: widget/label">
               <td>
-                <div valign="top" width=30%> no label </div>
+                <div valign="top"> no label </div>
               </td>
               </tal:block>              
Index: WAeUP_SRP/trunk/skins/waeup_default/portlet_waeup_status_display.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/portlet_waeup_status_display.pt	(revision 769)
+++ WAeUP_SRP/trunk/skins/waeup_default/portlet_waeup_status_display.pt	(revision 770)
@@ -6,4 +6,6 @@
                                         'admission_applied',
                                         'cleared_and_validated',
+                                        'admitted',
+                                        'clearance_pin_entered',
                                         'category_A',
                                         'category_B',
Index: WAeUP_SRP/trunk/skins/waeup_pins/batch_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_pins/batch_view.pt	(revision 769)
+++ WAeUP_SRP/trunk/skins/waeup_pins/batch_view.pt	(revision 770)
@@ -22,15 +22,17 @@
               />
         <br />
+        
         <h3>Unused</h3>
         <table>
           <tr tal:repeat="pin info/unused">
-            <td tal:content="pin/serial" />
+            <td width="50px"> <span tal:content="pin/serial" />: </td>
             <td tal:content="pin/pin" />
           </tr>
         </table>
+        
         <h3>Used</h3>
         <table>
           <tr tal:repeat="pin info/used">
-            <td tal:content="pin/serial" />
+            <td width="50px"> <span tal:content="pin/serial" />: </td>
             <td tal:content="pin/pin" />
             <td>
Index: WAeUP_SRP/trunk/skins/waeup_pins/getBatchInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_pins/getBatchInfo.py	(revision 769)
+++ WAeUP_SRP/trunk/skins/waeup_pins/getBatchInfo.py	(revision 770)
@@ -29,7 +29,8 @@
 
 for item in used:
-    if bd.prefix == "APP":
-        jno = item['student']
-        res = context.portal_catalog(SearchableText=jno,portal_type='StudentApplication')
+    sno = item['student']
+    if len(sno)==10: 
+    #if bd.prefix == "APP":
+        res = context.portal_catalog(SearchableText=sno,portal_type='StudentApplication')
         if len(res) > 0:
             item['student_url'] = "%s/%s" % (context.portal_url(),res[0].relative_path)
Index: WAeUP_SRP/trunk/skins/waeup_student/application_edit.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/application_edit.pt	(revision 770)
+++ WAeUP_SRP/trunk/skins/waeup_student/application_edit.pt	(revision 770)
@@ -0,0 +1,26 @@
+<metal:html tal:define="info context/getStudentInfo;
+            rendered_main python:info['app_doc'].renderEdit(
+                                                        request=request,
+                                                        layout_mode='edit',
+                                                        proxy=info['app'],
+                                                        no_form = True,
+                                                        schema_id = 'student_application',
+                                                        layout_id='student_application_fe',
+            )">
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+      <span tal:condition="not: info">
+        <metal:block use-macro="here/error_not_found/macros/not_found" />
+      </span>
+      <span tal:condition="python: context.portal_type != 'Student'"> 
+        <span tal:define="dummy python: request.RESPONSE.redirect('%s' % info['url'])" />
+      </span>
+      <span tal:condition="info"
+            tal:define="review_state info/review_state">
+        <h3>Upload or Change your Passport Picture!</h3>
+        <br />
+        <span tal:omit-tag="" tal:replace="structure rendered_main"/>
+      </span>
+    </metal:main>
+  </metal:body>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_student/application_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/application_view.pt	(revision 769)
+++ WAeUP_SRP/trunk/skins/waeup_student/application_view.pt	(revision 770)
@@ -9,5 +9,5 @@
             
         <div style="text-align: right"
-             tal:condition="python:review_state=='admission_applied'">
+             tal:condition="python:review_state in ('admission_applied', 'clearance_pin_entered',)">
         <a href="" target="slip" tal:attributes="href string:application_slip"
             onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
Index: WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.pt	(revision 769)
+++ WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.pt	(revision 770)
@@ -16,7 +16,5 @@
   <metal:block fill-slot="header">
     <h3>
-      <tal:block condition="python: edition and not metadata"
-        i18n:translate="">Edit <span id="page_title" i18n:name="title"
-        tal:content="here/title_or_id">Page Title</span></tal:block>
+      Edit your Clearance Data!
     </h3>
   </metal:block>
Index: WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 769)
+++ WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 770)
@@ -68,5 +68,5 @@
 else:
     info['clear'] = None
-    
+
 res = context.portal_catalog(container_path=student_path,
                              portal_type='StudentPume')
@@ -77,17 +77,16 @@
     info['pume_review_state'] = wf.getInfoFor(pume,'review_state',None)
 else:
-    info['pume'] = None    
+    info['pume'] = None
 
 items = []
-s_edit_links = {'StudentApplication': 'student_edit',
+s_edit_links = {'StudentApplication': 'application_edit',
               'StudentAccommodation': '',
               'StudentClearance': 'clearance_edit',
               'StudentPersonal': '',
               }
-s_view_links = {'StudentApplication': None,
+s_view_links = {'StudentApplication': 'application_view',
               'StudentAccommodation': 'accommodation_view',
               'StudentClearance': 'clearance_view',
               'StudentPersonal': None,
-              'StudentApplication': 'application_view',
               'StudentStudyCourse': 'study_course_view',
               'StudentPume': 'pume_view',
@@ -110,5 +109,5 @@
         row['s_edit_link'] = "%s/%s" % (soo.absolute_url(),se_link)
     row['review_state'] = so.review_state
-    row['display'] = so.review_state in ('opened','closed',) or\
+    row['display'] = so.review_state in ('opened','closed','public',) or\
                      so.portal_type in ("StudentAccommodation","StudentStudyCourse")
     items.append(row)
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_application_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_application_view.pt	(revision 769)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_application_view.pt	(revision 770)
@@ -8,4 +8,6 @@
                                  'app_ac_pin',
                                  'app_ac_date',
+                                 'app_email',
+                                 'app_mobile',
                                  'jamb_lastname',
                                  'jamb_sex',
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_info.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_info.pt	(revision 769)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_info.pt	(revision 770)
@@ -5,5 +5,5 @@
               dm options/datastructure/getDataModel;
               widgets python:context.getRenderedWidgets(layout);
-              fields python:('jamb_lastname','jamb_sex',)"
+              fields python:('jamb_lastname','jamb_sex','app_email','app_mobile')"
               >
   
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_slip.pt	(revision 769)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_slip.pt	(revision 770)
@@ -8,4 +8,6 @@
                                  'app_ac_pin',
                                  'app_ac_date',
+                                 'app_email',
+                                 'app_mobile',
                                  'jamb_lastname',
                                  'jamb_sex',
Index: WAeUP_SRP/trunk/skins/waeup_student/passport_entry_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/passport_entry_view.pt	(revision 769)
+++ 	(revision )
@@ -1,26 +1,0 @@
-<metal:html tal:define="info context/getStudentInfo;
-            rendered_main python:info['app_doc'].renderEdit(
-                                                        request=request,
-                                                        layout_mode='edit',
-                                                        proxy=info['app'],
-                                                        no_form = True,
-                                                        schema_id = 'student_application',
-                                                        layout_id='student_application_fe',
-            )">
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main">
-      <span tal:condition="not: info">
-        <metal:block use-macro="here/error_not_found/macros/not_found" />
-      </span>
-      <span tal:condition="python: context.portal_type != 'Student'"> 
-        <span tal:define="dummy python: request.RESPONSE.redirect('%s' % info['url'])" />
-      </span>
-      <span tal:condition="info"
-            tal:define="review_state info/review_state">
-        <h3>Upload or Change your Passport Picture!</h3>
-        <br />
-        <span tal:omit-tag="" tal:replace="structure rendered_main"/>
-      </span>
-    </metal:main>
-  </metal:body>
-</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_student/pume_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/pume_view.pt	(revision 770)
+++ WAeUP_SRP/trunk/skins/waeup_student/pume_view.pt	(revision 770)
@@ -0,0 +1,30 @@
+<metal:html tal:define="info context/getStudentInfo">
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+      <span tal:condition="not: info">
+        <metal:block use-macro="here/error_not_found/macros/not_found" />
+      </span>
+      <span tal:condition="info"
+            tal:define="review_state info/review_state">
+            
+        <div style="text-align: right"
+             tal:condition="python:review_state=='admission_applied'">
+        <a href="" target="slip" tal:attributes="href string:application_slip"
+            onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
+            <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
+            Application Slip
+        </a>
+        
+        </div>
+
+        <h3>My PUME Results</h3>
+        <br />
+        <span tal:omit-tag=""
+              tal:content="structure python: info['pume_doc'].render(proxy=info['pume_doc'],
+              layout_mode='view', 
+              layout_id='student_pume')" 
+              />
+      </span>
+    </metal:main>
+  </metal:body>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_student/student_edit.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/student_edit.py	(revision 769)
+++ WAeUP_SRP/trunk/skins/waeup_student/student_edit.py	(revision 770)
@@ -41,5 +41,5 @@
                                     layout_mode = 'edit',
                                     use_session=True)
-        action = "/passport_entry_view"
+        action = "/application_edit"
         if is_valid:
             if app_doc.passport is not None:
@@ -58,5 +58,5 @@
                                     layout_mode = 'edit',
                                     use_session=True)
-        action = "/passport_entry_view"
+        action = "/application_edit"
         if is_valid:
             args = {}
@@ -82,10 +82,9 @@
             app_doc = info['app_doc']
             dc = {}
-            dc['email'] = app_doc.appl_email
-            dc['mobil'] = app_doc.appl_mobile
+            dc['email'] = app_doc.app_email
             info['clear_doc'].edit(mapping = dc)
             wftool.doActionFor(app,'close',dest_container= app)
             psm = 'You successfully started the clearance process.'
-            action = "/clearance_view"
+            action = "/clearance_edit"
         else:
             action = "/clearance_view"
Index: WAeUP_SRP/trunk/skins/waeup_student/student_index.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/student_index.py	(revision 769)
+++ WAeUP_SRP/trunk/skins/waeup_student/student_index.py	(revision 770)
@@ -33,5 +33,5 @@
         return redirect("%s/application_view" % student.absolute_url())
     elif state in ('application_pin_entered','admitted'):
-        return redirect("%s/passport_entry_view" % student.absolute_url())
+        return redirect("%s/application_edit" % student.absolute_url())
     elif state == 'clearance_pin_entered':
         return redirect("%s/student_view" % info['clear'].absolute_url())