Index: WAeUP_SRP/trunk/profiles/default/layouts/course_results.xml_not_used
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/course_results.xml_not_used	(revision 770)
+++ 	(revision )
@@ -1,81 +1,0 @@
-<?xml version="1.0"?>
-<object name="course_results" meta_type="CPS Layout">
- <property name="layout_create_method"></property>
- <property name="layout_edit_method"></property>
- <property name="layout_view_method"></property>
- <property name="style_prefix">layout_waeup_</property>
- <property name="flexible_widgets"/>
- <property name="validate_values_expr"></property>
- <widget name="ansbook" meta_type="String Widget">
-  <property name="title">Ansbook</property>
-  <property name="fields">
-   <element value="ansbook"/>
-  </property>
-  <property name="label">Ansbook</property>
-  <property name="label_edit">Ansbook</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="carry_level" meta_type="String Widget">
-  <property name="title">Carry Level</property>
-  <property name="fields">
-   <element value="carry_level"/>
-  </property>
-  <property name="label">Carry Level</property>
-  <property name="label_edit">Carry Level</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="grade" meta_type="String Widget">
-  <property name="title">Grade</property>
-  <property name="fields">
-   <element value="grade"/>
-  </property>
-  <property name="label">Grade</property>
-  <property name="label_edit">Grade</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="import_id" meta_type="String Widget">
-  <property name="title">ID</property>
-  <property name="fields">
-   <element value="import_id"/>
-  </property>
-  <property name="label">ID</property>
-  <property name="label_edit">ID</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="score" meta_type="Int Widget">
-  <property name="title">Score</property>
-  <property name="fields">
-   <element value="score"/>
-  </property>
-  <property name="label">Score</property>
-  <property name="label_edit">Score</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <table>
-  <row>
-   <cell name="grade"/>
-  </row>
-  <row>
-   <cell name="ansbook"/>
-  </row>
-  <row>
-   <cell name="score"/>
-  </row>
-  <row>
-   <cell name="carry_level"/>
-  </row>
-  <row>
-   <cell name="import_id"/>
-  </row>
- </table>
-</object>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_schoolresults.xml_not_used
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_schoolresults.xml_not_used	(revision 770)
+++ 	(revision )
@@ -1,27 +1,0 @@
-<?xml version="1.0"?>
-<object name="student_schoolresults" meta_type="CPS Layout">
- <property name="layout_create_method"></property>
- <property name="layout_edit_method"></property>
- <property name="layout_view_method"></property>
- <property name="style_prefix">layout_results_</property>
- <property name="flexible_widgets"/>
- <property name="validate_values_expr"></property>
- <widget name="schoolresults" meta_type="Ordered List Widget">
-  <property name="fields">
-   <element value="schoolresults"/>
-  </property>
-  <property name="label">School Results</property>
-  <property name="label_edit">School Results</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-   <element value="edit"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <table>
-  <row>
-   <cell name="schoolresults"/>
-  </row>
- </table>
-</object>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_semester.xml_not_used
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_semester.xml_not_used	(revision 770)
+++ 	(revision )
@@ -1,24 +1,0 @@
-<?xml version="1.0"?>
-<object name="student_semester" meta_type="CPS Layout">
- <property name="layout_create_method"></property>
- <property name="layout_edit_method">layout_student_semester_create</property>
- <property name="layout_view_method"></property>
- <property name="style_prefix">layout_student_semester_</property>
- <property name="flexible_widgets"/>
- <property name="validate_values_expr"></property>
- <widget name="Title" meta_type="String Widget">
-  <property name="fields">
-   <element value="Title"/>
-  </property>
-  <property name="is_required">True</property>
-  <property name="label">Title</property>
-  <property name="label_edit">Title</property>
-  <property name="display_width">40</property>
-  <property name="size_max">200</property>
- </widget>
- <table>
-  <row>
-   <cell name="Title"/>
-  </row>
- </table>
-</object>
Index: WAeUP_SRP/trunk/profiles/default/schemas/course_results.xml_not_used
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/course_results.xml_not_used	(revision 770)
+++ 	(revision )
@@ -1,8 +1,0 @@
-<?xml version="1.0"?>
-<object name="course_results" meta_type="CPS Schema">
- <field name="ansbook" meta_type="CPS String Field"/>
- <field name="carry_level" meta_type="CPS String Field"/>
- <field name="grade" meta_type="CPS String Field"/>
- <field name="import_id" meta_type="CPS String Field"/>
- <field name="score" meta_type="CPS Int Field"/>
-</object>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentSemester.xml_not_used
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentSemester.xml_not_used	(revision 770)
+++ 	(revision )
@@ -1,42 +1,0 @@
-<?xml version="1.0"?>
-<object name="StudentSemester" meta_type="CPS Flexible Type Information"
-   xmlns:i18n="http://xml.zope.org/namespaces/i18n">
- <property name="title">WAeUP StudentSemester Folder</property>
- <property name="description"></property>
- <property name="content_icon"></property>
- <property name="content_meta_type">StudentSemester</property>
- <property name="product">WAeUP_SRP</property>
- <property name="factory">addStudentSemester</property>
- <property name="immediate_view">folder_view</property>
- <property name="global_allow">True</property>
- <property name="filter_content_types">True</property>
- <property name="allowed_content_types">
-  <element value="StudentCourseResult"/>
- </property>
- <property name="allow_discussion">False</property>
- <property name="cps_is_searchable">False</property>
- <property name="cps_proxy_type">folder</property>
- <property name="cps_display_as_document_in_listing">True</property>
- <property name="schemas">
-<element value="metadata"/>
-  </property>
- <property name="layouts"/>
- <property name="layout_clusters">
-  <element value=""/>
- </property>
- <property name="flexible_layouts"/>
- <property name="storage_methods"/>
- <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="waeup_document_view"/>
- <alias from="view" to="waeup_document_view"/>
- <action title="View" action_id="view" category="object" condition_expr=""
-    url_expr="string:${object_url}/waeup_document_view" visible="True">
-  <permission value="View"/>
- </action>
- <action title="Add Course" action_id="new_entry" category="object"
-    condition_expr=""
-    url_expr="string:${object_url}/content_create?type_name=CertificateCourse"
-    visible="True">
-  <permission value="Modify portal content"/>
- </action>
-</object>