Index: /WAeUP_SRP/trunk/skins/waeup_academics/academics_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/academics_view.pt	(revision 771)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/academics_view.pt	(revision 772)
@@ -12,4 +12,5 @@
         Page Title
       </h3>
+      <br />
     </metal:block>
     <metal:main fill-slot="main">
Index: /WAeUP_SRP/trunk/skins/waeup_academics/certificate_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/certificate_view.pt	(revision 771)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/certificate_view.pt	(revision 772)
@@ -11,4 +11,5 @@
       <h3 tal:content="here/title_or_id" />
       <div tal:condition="python:0" tal:content="info/container_path"/>
+      <br />
     </metal:block>
     <metal:main fill-slot="main">
Index: /WAeUP_SRP/trunk/skins/waeup_academics/department_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/department_view.pt	(revision 771)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/department_view.pt	(revision 772)
@@ -11,4 +11,5 @@
       <h3 tal:content="here/title_or_id" />
       <div tal:condition="nothing" tal:content="info/container_path"/>
+      <br />
     </metal:block>
     <metal:main fill-slot="main">
Index: /WAeUP_SRP/trunk/skins/waeup_academics/faculty_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/faculty_view.pt	(revision 771)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/faculty_view.pt	(revision 772)
@@ -11,4 +11,5 @@
       <h3 tal:content="here/title_or_id" />
       <div tal:condition="python:0" tal:content="info/container_path"/>
+      <br />
     </metal:block>
     <metal:main fill-slot="main">
Index: /WAeUP_SRP/trunk/skins/waeup_accommodation/acco_folder_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_accommodation/acco_folder_view.pt	(revision 771)
+++ /WAeUP_SRP/trunk/skins/waeup_accommodation/acco_folder_view.pt	(revision 772)
@@ -13,4 +13,5 @@
         Page Title
       </h3>
+      <br />
       <table tal:condition="beds_generated">
         <tr>
Index: /WAeUP_SRP/trunk/skins/waeup_accommodation/acco_hall_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_accommodation/acco_hall_view.pt	(revision 771)
+++ /WAeUP_SRP/trunk/skins/waeup_accommodation/acco_hall_view.pt	(revision 772)
@@ -11,4 +11,5 @@
       <h3 tal:content="here/title_or_id" />
       <div tal:condition="nothing" tal:content="info/container_path"/>
+      <br />
 
     </metal:block>
Index: /WAeUP_SRP/trunk/skins/waeup_default/waeup_document_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/waeup_document_view.pt	(revision 771)
+++ /WAeUP_SRP/trunk/skins/waeup_default/waeup_document_view.pt	(revision 772)
@@ -16,10 +16,11 @@
          <span tal:content="here/title_or_id" />
       </h3>
-    </metal:block>
-    <metal:main fill-slot="main">
-      <span tal:omit-tag=""  
-            tal:content="structure python: info['doc'].render(layout_mode='view')" />
+      <br />
+      </metal:block>
+      <metal:main fill-slot="main">
+        <span tal:omit-tag=""  
+              tal:content="structure python: info['doc'].render(layout_mode='view')" />
       
-    </metal:main>
+      </metal:main>
     
     <metal:sub fill-slot="sub"/>
Index: /WAeUP_SRP/trunk/skins/waeup_student/study_course_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/study_course_view.pt	(revision 771)
+++ /WAeUP_SRP/trunk/skins/waeup_student/study_course_view.pt	(revision 772)
@@ -16,4 +16,5 @@
         <span tal:content="here/title_or_id" />
       </h3>
+      <br />
     </metal:block>
     <metal:main fill-slot="main">
Index: /WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt	(revision 771)
+++ /WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt	(revision 772)
@@ -16,4 +16,5 @@
          <span tal:content="here/title_or_id" />
       </h3>
+      <br />
       <div tal:condition="python:0" tal:content="info/container_path"/>
       <div tal:condition="python:0" tal:content="info/cert_id"/>