Index: WAeUP_SRP/trunk/profiles/default/layouts.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts.xml	(revision 773)
+++ WAeUP_SRP/trunk/profiles/default/layouts.xml	(revision 774)
@@ -23,4 +23,5 @@
  <object name="student_password" meta_type="CPS Layout"/>
  <object name="student_pume" meta_type="CPS Layout"/>
+ <object name="student_pume_fe" meta_type="CPS Layout"/>
  <object name="student_search" meta_type="CPS Layout"/>
  <object name="student_study_level" meta_type="CPS Layout"/>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 773)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 774)
@@ -1,4 +1,4 @@
 <?xml version="1.0"?>
-<object name="student_clearance_fe" meta_type="CPS Layout">
+<object name="student_clearance" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
  <property name="layout_edit_method"></property>
@@ -12,4 +12,5 @@
    <element value="acc_inst"/>
   </property>
+  <property name="is_required">True</property>
   <property name="label">Accepted by Institution</property>
   <property name="label_edit">Accepted by Institution</property>
@@ -27,4 +28,5 @@
    <element value="acc_let"/>
   </property>
+  <property name="is_required">True</property>
   <property name="label">Acceptance Letter </property>
   <property name="label_edit">Acceptance Letter </property>
@@ -55,4 +57,5 @@
    <element value="age_dec"/>
   </property>
+  <property name="is_required">True</property>
   <property name="label">Age Declaration</property>
   <property name="label_edit">Age Declaration</property>
@@ -105,4 +108,5 @@
    <element value="alr_scan"/>
   </property>
+  <property name="is_required">True</property>
   <property name="label">Scan of Advanced Level Result</property>
   <property name="label_edit">Scan of Advanced Level Result</property>
@@ -120,4 +124,5 @@
    <element value="birth_certificate"/>
   </property>
+  <property name="is_required">True</property>
   <property name="label">Birth Certificate</property>
   <property name="label_edit">Birth Certificate</property>
@@ -146,4 +151,5 @@
    <element value="cert"/>
   </property>
+  <property name="is_required">True</property>
   <property name="label">Certificateficate</property>
   <property name="label_edit">Certificateficate</property>
@@ -177,4 +183,5 @@
    <element value="cred"/>
   </property>
+  <property name="is_required">True</property>
   <property name="label">Credential</property>
   <property name="label_edit">Credential</property>
@@ -238,4 +245,5 @@
    <element value="evid"/>
   </property>
+  <property name="is_required">True</property>
   <property name="label">Evidence of Name</property>
   <property name="label_edit">Evidence of Name</property>
@@ -310,4 +318,5 @@
    <element value="fst_sit_scan"/>
   </property>
+  <property name="is_required">True</property>
   <property name="label">Scan of First Sitting Result</property>
   <property name="label_edit">Scan of First Sitting Result</property>
@@ -371,4 +380,5 @@
    <element value="hq_scan"/>
   </property>
+  <property name="is_required">True</property>
   <property name="label">Scan of Higher Qualification Result</property>
   <property name="label_edit">Scan of Higher Qualification Result</property>
@@ -420,4 +430,5 @@
    <element value="jamb_let"/>
   </property>
+  <property name="is_required">True</property>
   <property name="label">JAMB Letter</property>
   <property name="label_edit">JAMB Letter</property>
@@ -435,4 +446,5 @@
    <element value="jamb_slip"/>
   </property>
+  <property name="is_required">True</property>
   <property name="label">JAMB Slip</property>
   <property name="label_edit">JAMB Slip</property>
@@ -462,4 +474,5 @@
    <element value="lga_ident"/>
   </property>
+  <property name="is_required">True</property>
   <property name="label">LGA Identification</property>
   <property name="label_edit">LGA Identification</property>
@@ -479,7 +492,6 @@
   <property name="label">Matriculation Number</property>
   <property name="label_edit">Matriculation Number</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
   <property name="display_width">10</property>
@@ -503,4 +515,5 @@
    <element value="ref_let"/>
   </property>
+  <property name="is_required">True</property>
   <property name="label">Referee Letter</property>
   <property name="label_edit">Referee Letter</property>
@@ -518,4 +531,5 @@
    <element value="res_stat"/>
   </property>
+  <property name="is_required">True</property>
   <property name="label">Result Statement</property>
   <property name="label_edit">Result Statement</property>
@@ -579,4 +593,5 @@
    <element value="scd_sit_scan"/>
   </property>
+  <property name="is_required">True</property>
   <property name="label">Scan of Second Sitting Result</property>
   <property name="label_edit">Scan of Second Sitting Result</property>
@@ -606,4 +621,5 @@
    <element value="stat_dec"/>
   </property>
+  <property name="is_required">True</property>
   <property name="label">Statutory Declaration of Good Conduct</property>
   <property name="label_edit">Statutory Declaration of Good Conduct</property>
@@ -640,4 +656,7 @@
  <table>
   <row>
+   <cell name="matric_no"/>
+  </row>
+  <row>
    <cell name="clr_ac_pin"/>
   </row>
@@ -649,20 +668,137 @@
   </row>
   <row>
+   <cell name="birthday"/>
+  </row>
+  <row>
+   <cell name="lga"/>
+  </row>
+  <row>
+   <cell name="nationality"/>
+  </row>
+  <row>
    <cell name="email"/>
   </row>
   <row>
-   <cell name="lga"/>
-  </row>
-  <row>
-   <cell name="nationality"/>
-  </row>
-  <row>
-   <cell name="matric_no"/>
-  </row>
-  <row>
-   <cell name="birthday"/>
+   <cell name="fst_sit_fname"/>
+  </row>
+  <row>
+   <cell name="fst_sit_no"/>
+  </row>
+  <row>
+   <cell name="fst_sit_date"/>
+  </row>
+  <row>
+   <cell name="fst_sit_type"/>
+  </row>
+  <row>
+   <cell name="fst_sit_scan"/>
+  </row>
+  <row>
+   <cell name="scd_sit_fname"/>
+  </row>
+  <row>
+   <cell name="scd_sit_no"/>
+  </row>
+  <row>
+   <cell name="scd_sit_date"/>
+  </row>
+  <row>
+   <cell name="scd_sit_type"/>
+  </row>
+  <row>
+   <cell name="scd_sit_scan"/>
+  </row>
+  <row>
+   <cell name="alr_fname"/>
+  </row>
+  <row>
+   <cell name="alr_no"/>
+  </row>
+  <row>
+   <cell name="alr_date"/>
+  </row>
+  <row>
+   <cell name="alr_scan"/>
+  </row>
+  <row>
+   <cell name="hq_type"/>
+  </row>
+  <row>
+   <cell name="hq_grade"/>
+  </row>
+  <row>
+   <cell name="hq_school"/>
+  </row>
+  <row>
+   <cell name="hq_matric_no"/>
+  </row>
+  <row>
+   <cell name="hq_session"/>
+  </row>
+  <row>
+   <cell name="hq_disc"/>
+  </row>
+  <row>
+   <cell name="hq_scan"/>
   </row>
   <row>
    <cell name="birth_certificate"/>
+  </row>
+  <row>
+   <cell name="lga_ident"/>
+  </row>
+  <row>
+   <cell name="acc_let"/>
+  </row>
+  <row>
+   <cell name="jamb_slip"/>
+  </row>
+  <row>
+   <cell name="cert"/>
+  </row>
+  <row>
+   <cell name="evid"/>
+  </row>
+  <row>
+   <cell name="jamb_let"/>
+  </row>
+  <row>
+   <cell name="res_stat"/>
+  </row>
+  <row>
+   <cell name="ref_let"/>
+  </row>
+  <row>
+   <cell name="cred"/>
+  </row>
+  <row>
+   <cell name="stat_dec"/>
+  </row>
+  <row>
+   <cell name="age_dec"/>
+  </row>
+  <row>
+   <cell name="acc_inst"/>
+  </row>
+  <row>
+   <cell name="fst_ch"/>
+  </row>
+  <row>
+   <cell name="scd_ch"/>
+  </row>
+  <row>
+   <cell name="sup_adm"/>
+  </row>
+  <row>
+   <cell name="uniben"/>
+  </row>
+  <row>
+   <cell name="form_matric_no"/>
+  </row>
+  <row>
+   <cell name="def_adm"/>
+  </row>
+  <row>
+   <cell name="acknow"/>
   </row>
  </table>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_pume.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_pume.xml	(revision 773)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_pume.xml	(revision 774)
@@ -1,4 +1,4 @@
 <?xml version="1.0"?>
-<object name="student_application" meta_type="CPS Layout">
+<object name="student_pume" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
  <property name="layout_edit_method"></property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_pume_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_pume_fe.xml	(revision 774)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_pume_fe.xml	(revision 774)
@@ -0,0 +1,76 @@
+<?xml version="1.0"?>
+<object name="student_pume" meta_type="CPS Layout">
+ <property name="layout_create_method"></property>
+ <property name="layout_edit_method"></property>
+ <property name="layout_view_method"></property>
+ <property name="style_prefix">layout_pume_</property>
+ <property name="flexible_widgets"/>
+ <property name="validate_values_expr"></property>
+
+ <widget name="pume_eng_score" meta_type="Float Widget">
+  <property name="title">PUME English Score</property>
+  <property name="fields">
+   <element value="pume_eng_score"/>
+  </property>
+  <property name="label">PUME English Score</property>
+  <property name="label_edit">PUME English Score</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="pume_gen_score" meta_type="Float Widget">
+  <property name="title">PUME General Score</property>
+  <property name="fields">
+   <element value="pume_gen_score"/>
+  </property>
+  <property name="label">PUME General Score</property>
+  <property name="label_edit">PUME General Score</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="pume_math_score" meta_type="Float Widget">
+  <property name="title">PUME Mathematics Score</property>
+  <property name="fields">
+   <element value="pume_math_score"/>
+  </property>
+  <property name="label">PUME Mathematics Score</property>
+  <property name="label_edit">PUME Mathematics Score</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="view"/>
+  </property>    
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="pume_tot_score" meta_type="Float Widget">
+  <property name="title">PUME Total Score</property>
+  <property name="fields">
+   <element value="pume_tot_score"/>
+  </property>
+  <property name="label">PUME Total Score</property>
+  <property name="label_edit">PUME Total Score</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <table>
+  <row>
+   <cell name="pume_gen_score" ncols="1"/>
+  </row>
+  <row>
+   <cell name="pume_eng_score" ncols="1"/>
+  </row>
+  <row>
+   <cell name="pume_math_score" ncols="1"/>
+  </row>
+  <row>
+   <cell name="pume_tot_score" ncols="1"/>
+  </row>
+ </table>
+</object>
+
Index: WAeUP_SRP/trunk/profiles/default/themes.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes.xml	(revision 773)
+++ WAeUP_SRP/trunk/profiles/default/themes.xml	(revision 774)
@@ -10,4 +10,5 @@
   <element key="application_slip" value="WAeUP_Student+Slippage"/>
   <element key="accommodation_slip" value="WAeUP_Student+Slippage"/>
+  <element key="pume_slip" value="WAeUP_Student+Slippage"/>
  </property>
  <object name="default" meta_type="Portal Theme"/>
Index: WAeUP_SRP/trunk/skins/waeup_default/portlet_session_info.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/portlet_session_info.pt	(revision 773)
+++ WAeUP_SRP/trunk/skins/waeup_default/portlet_session_info.pt	(revision 774)
@@ -2,16 +2,12 @@
            member mtool/getAuthenticatedMember;
            isAnon mtool/isAnonymousUser;
-           roles member/getRoles;
-           backend python:'Manager' in roles or 'SectionManager' in roles;
-           frontend python:'Student' in roles or isAnon;
            info context/getStudentInfo;"
            >
-  <tal:block condition="info">
+  <tal:block condition="context/isStudent">
        <strong> 
          <span tal:condition="info/is_student" tal:content="python:info['student_doc'].Title()" /> 
-         <span tal:condition="not:info/is_student" tal:content="python:member.getProperty('fullname',None)" /> 
        </strong>
   </tal:block>
-  <tal:block condition="not:info">
+  <tal:block condition="not:context/isStudent">
        <strong> 
          <span tal:content="python:member.getProperty('fullname',None)" /> 
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_accommodation_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_accommodation_view.pt	(revision 773)
+++ 	(revision )
@@ -1,36 +1,0 @@
-<!-- a layout_lib macro -->
-<!-- $Id: layout_lib_default_view.pt 34052 2006-03-06 14:59:24Z atchertchian $ -->
-<metal:block define-macro="default_view"
-  tal:define="layout options/layout;
-              dm options/datastructure/getDataModel;
-              widgets python:context.getRenderedWidgets(layout);
-              fields python:('session',
-                                 'bed',
-                                 'student_status',
-                                 'acco_res_sc_pin',
-                                 'acco_res_date',
-                                 'acco_maint_sc_pin', 
-                                 'acco_maint_date',
-                                 )"
-                                 >
-  <table cellpadding="2" cellspacing="2" summary="layout">
-    <tr tal:repeat="field fields">
-      <tal:block tal:define="cell python: widgets[field]">
-        <tal:block define="widget cell/widget">
-          <div tal:attributes="class cell/widget_css_class|string:label;
-            id python:widget.getHtmlWidgetId()+'_widget';">
-            <td >
-             <span class="dlabel"
-                    tal:condition="widget/label"
-                    tal:content="widget/label">label</span>:
-            </td>
-            <td> 
-               <span tal:condition="cell" tal:content="structure cell/widget_rendered"></span>
-               <span tal:condition="not:cell/widget_rendered"> none </span>
-            </td>
-          </div>
-        </tal:block>
-      </tal:block>
-    </tr>
-  </table>
-</metal:block>
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_accommodation_view.pt_not_used
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_accommodation_view.pt_not_used	(revision 774)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_accommodation_view.pt_not_used	(revision 774)
@@ -0,0 +1,36 @@
+<!-- a layout_lib macro -->
+<!-- $Id: layout_lib_default_view.pt 34052 2006-03-06 14:59:24Z atchertchian $ -->
+<metal:block define-macro="default_view"
+  tal:define="layout options/layout;
+              dm options/datastructure/getDataModel;
+              widgets python:context.getRenderedWidgets(layout);
+              fields python:('session',
+                                 'bed',
+                                 'student_status',
+                                 'acco_res_sc_pin',
+                                 'acco_res_date',
+                                 'acco_maint_sc_pin', 
+                                 'acco_maint_date',
+                                 )"
+                                 >
+  <table cellpadding="2" cellspacing="2" summary="layout">
+    <tr tal:repeat="field fields">
+      <tal:block tal:define="cell python: widgets[field]">
+        <tal:block define="widget cell/widget">
+          <div tal:attributes="class cell/widget_css_class|string:label;
+            id python:widget.getHtmlWidgetId()+'_widget';">
+            <td >
+             <span class="dlabel"
+                    tal:condition="widget/label"
+                    tal:content="widget/label">label</span>:
+            </td>
+            <td> 
+               <span tal:condition="cell" tal:content="structure cell/widget_rendered"></span>
+               <span tal:condition="not:cell/widget_rendered"> none </span>
+            </td>
+          </div>
+        </tal:block>
+      </tal:block>
+    </tr>
+  </table>
+</metal:block>
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_info.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_info.pt	(revision 773)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_info.pt	(revision 774)
@@ -5,5 +5,5 @@
               dm options/datastructure/getDataModel;
               widgets python:context.getRenderedWidgets(layout);
-              fields python:('jamb_lastname','jamb_sex','app_email','app_mobile')"
+              fields python:('jamb_reg_no','jamb_lastname','jamb_sex','app_email','app_mobile')"
               >
   
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_pume_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_pume_view.pt	(revision 774)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_pume_view.pt	(revision 774)
@@ -0,0 +1,1 @@
+<metal:block use-macro="here/layout_waeup_lib/macros/table_view" />
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_pume_view_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_pume_view_slip.pt	(revision 774)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_pume_view_slip.pt	(revision 774)
@@ -0,0 +1,32 @@
+<!-- a layout_lib macro -->
+<!-- $Id: layout_lib_default_view.pt 34052 2006-03-06 14:59:24Z atchertchian $ -->
+<metal:block define-macro="default_view"
+  tal:define="layout options/layout;
+              dm options/datastructure/getDataModel;
+              widgets python:context.getRenderedWidgets(layout);
+              fields python:('pume_gen_score',
+                                 'pume_eng_score',
+                                 'pume_tot_score',
+                                 )"
+                                 >
+  <table width="" cellpadding="2" cellspacing="0" summary="Form layout">
+    <tr tal:repeat="field fields">
+      <tal:block tal:define="cell python: widgets[field]">
+        <tal:block define="widget cell/widget">
+          <div tal:attributes="class cell/widget_css_class|string:label;
+            id python:widget.getHtmlWidgetId()+'_widget';">
+            <td width="180px">
+             <span class="dlabel"
+                    tal:condition="widget/label"
+                    tal:content="widget/label">label</span>:
+            </td>
+            <td> 
+               <span tal:condition="cell" tal:content="structure cell/widget_rendered"></span>
+               <span tal:condition="not:cell/widget_rendered"> none </span>
+            </td>
+          </div>
+        </tal:block>
+      </tal:block>
+    </tr>
+  </table>
+</metal:block>
Index: WAeUP_SRP/trunk/skins/waeup_student/pume_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/pume_slip.pt	(revision 774)
+++ WAeUP_SRP/trunk/skins/waeup_student/pume_slip.pt	(revision 774)
@@ -0,0 +1,21 @@
+<metal:html tal:define="info context/getStudentInfo">
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+      <span tal:condition="not: info">
+        <metal:block use-macro="here/error_not_found/macros/not_found" />
+      </span>
+      <h3>PUME Result Slip</h3>
+      <br />
+      <span tal:omit-tag=""
+            tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],
+            layout_mode='view_info', 
+            layout_id='student_application_fe')" 
+            />
+      <span tal:omit-tag=""
+            tal:content="structure python: info['pume_doc'].render(proxy=info['pume_doc'],
+            layout_mode='view_slip', 
+            layout_id='student_pume_fe')" 
+            />
+    </metal:main>
+  </metal:body>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_student/pume_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/pume_view.pt	(revision 773)
+++ WAeUP_SRP/trunk/skins/waeup_student/pume_view.pt	(revision 774)
@@ -9,9 +9,9 @@
             
         <div style="text-align: right"
-             tal:condition="python:review_state=='admission_applied'">
-        <a href="" target="slip" tal:attributes="href string:application_slip"
+             tal:condition="python:review_state in ('admitted', )">
+        <a href="" target="slip" tal:attributes="href string:pume_slip"
             onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
             <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
-            Application Slip
+            PUME Result Slip
         </a>
         
@@ -23,5 +23,5 @@
               tal:content="structure python: info['pume_doc'].render(proxy=info['pume_doc'],
               layout_mode='view', 
-              layout_id='student_pume')" 
+              layout_id='student_pume_fe')" 
               />
       </span>