Index: WAeUP_SRP/trunk/Students.py
===================================================================
--- WAeUP_SRP/trunk/Students.py	(revision 774)
+++ WAeUP_SRP/trunk/Students.py	(revision 775)
@@ -245,5 +245,5 @@
                  'wrong': "Wrong",
                  'pume_eng_score': "EngScore",
-                 'pume_gen_score': "GenScore",                 
+                 'pume_gen_score': "GenScore",
                  'pume_tot_score': "Right",
                  'batch': "Batch",
@@ -311,5 +311,5 @@
             student.manage_setLocalRoles(sid, ['Owner',])
             student.invokeFactory('StudentClearance','clearance')
-            wftool.doActionFor(student.clearance,'open')
+            #wftool.doActionFor(student.clearance,'open')
             dp = {'Title': 'Clearance Data'}
             student.clearance.manage_setLocalRoles(sid, ['Owner',])
@@ -340,5 +340,5 @@
                          )
             for f in dp_fields:
-                dp[f] = jamb.get(csv_d[f])
+                dp[f] = float(jamb.get(csv_d[f]))
             pume = student.pume
             pume.getContent().edit(mapping=dp)
@@ -346,5 +346,8 @@
             pume.manage_setLocalRoles(sid, ['Owner',])
             student.getContent().createSubObjects()
-            wftool.doActionFor(student,'admit',dest_container=student)
+            if dp['pume_tot_score']>49:
+                wftool.doActionFor(student,'pume_pass',dest_container=student)
+            else:
+                wftool.doActionFor(student,'pume_fail',dest_container=student)
             if len(no_import) > 1:
                 open("%s/import/%s_not_imported.csv" % (i_home,name),"w").write(
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 774)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 775)
@@ -12,5 +12,5 @@
    <element value="acc_inst"/>
   </property>
-  <property name="is_required">True</property>
+  
   <property name="label">Accepted by Institution</property>
   <property name="label_edit">Accepted by Institution</property>
@@ -28,5 +28,5 @@
    <element value="acc_let"/>
   </property>
-  <property name="is_required">True</property>
+  
   <property name="label">Acceptance Letter </property>
   <property name="label_edit">Acceptance Letter </property>
@@ -57,5 +57,5 @@
    <element value="age_dec"/>
   </property>
-  <property name="is_required">True</property>
+  
   <property name="label">Age Declaration</property>
   <property name="label_edit">Age Declaration</property>
@@ -108,5 +108,5 @@
    <element value="alr_scan"/>
   </property>
-  <property name="is_required">True</property>
+  
   <property name="label">Scan of Advanced Level Result</property>
   <property name="label_edit">Scan of Advanced Level Result</property>
@@ -124,5 +124,5 @@
    <element value="birth_certificate"/>
   </property>
-  <property name="is_required">True</property>
+  
   <property name="label">Birth Certificate</property>
   <property name="label_edit">Birth Certificate</property>
@@ -151,5 +151,5 @@
    <element value="cert"/>
   </property>
-  <property name="is_required">True</property>
+  
   <property name="label">Certificateficate</property>
   <property name="label_edit">Certificateficate</property>
@@ -183,5 +183,5 @@
    <element value="cred"/>
   </property>
-  <property name="is_required">True</property>
+  
   <property name="label">Credential</property>
   <property name="label_edit">Credential</property>
@@ -245,5 +245,5 @@
    <element value="evid"/>
   </property>
-  <property name="is_required">True</property>
+  
   <property name="label">Evidence of Name</property>
   <property name="label_edit">Evidence of Name</property>
@@ -318,5 +318,5 @@
    <element value="fst_sit_scan"/>
   </property>
-  <property name="is_required">True</property>
+  
   <property name="label">Scan of First Sitting Result</property>
   <property name="label_edit">Scan of First Sitting Result</property>
@@ -380,5 +380,5 @@
    <element value="hq_scan"/>
   </property>
-  <property name="is_required">True</property>
+  
   <property name="label">Scan of Higher Qualification Result</property>
   <property name="label_edit">Scan of Higher Qualification Result</property>
@@ -430,5 +430,5 @@
    <element value="jamb_let"/>
   </property>
-  <property name="is_required">True</property>
+  
   <property name="label">JAMB Letter</property>
   <property name="label_edit">JAMB Letter</property>
@@ -446,5 +446,5 @@
    <element value="jamb_slip"/>
   </property>
-  <property name="is_required">True</property>
+  
   <property name="label">JAMB Slip</property>
   <property name="label_edit">JAMB Slip</property>
@@ -474,5 +474,5 @@
    <element value="lga_ident"/>
   </property>
-  <property name="is_required">True</property>
+  
   <property name="label">LGA Identification</property>
   <property name="label_edit">LGA Identification</property>
@@ -515,5 +515,5 @@
    <element value="ref_let"/>
   </property>
-  <property name="is_required">True</property>
+  
   <property name="label">Referee Letter</property>
   <property name="label_edit">Referee Letter</property>
@@ -531,5 +531,5 @@
    <element value="res_stat"/>
   </property>
-  <property name="is_required">True</property>
+  
   <property name="label">Result Statement</property>
   <property name="label_edit">Result Statement</property>
@@ -593,5 +593,5 @@
    <element value="scd_sit_scan"/>
   </property>
-  <property name="is_required">True</property>
+  
   <property name="label">Scan of Second Sitting Result</property>
   <property name="label_edit">Scan of Second Sitting Result</property>
@@ -621,5 +621,5 @@
    <element value="stat_dec"/>
   </property>
-  <property name="is_required">True</property>
+  
   <property name="label">Statutory Declaration of Good Conduct</property>
   <property name="label_edit">Statutory Declaration of Good Conduct</property>
@@ -655,16 +655,4 @@
  </widget>
  <table>
-  <row>
-   <cell name="matric_no"/>
-  </row>
-  <row>
-   <cell name="clr_ac_pin"/>
-  </row>
-  <row>
-   <cell name="entry_date"/>
-  </row>
-  <row>
-   <cell name="entry_session"/>
-  </row>
   <row>
    <cell name="birthday"/>
@@ -679,127 +667,4 @@
    <cell name="email"/>
   </row>
-  <row>
-   <cell name="fst_sit_fname"/>
-  </row>
-  <row>
-   <cell name="fst_sit_no"/>
-  </row>
-  <row>
-   <cell name="fst_sit_date"/>
-  </row>
-  <row>
-   <cell name="fst_sit_type"/>
-  </row>
-  <row>
-   <cell name="fst_sit_scan"/>
-  </row>
-  <row>
-   <cell name="scd_sit_fname"/>
-  </row>
-  <row>
-   <cell name="scd_sit_no"/>
-  </row>
-  <row>
-   <cell name="scd_sit_date"/>
-  </row>
-  <row>
-   <cell name="scd_sit_type"/>
-  </row>
-  <row>
-   <cell name="scd_sit_scan"/>
-  </row>
-  <row>
-   <cell name="alr_fname"/>
-  </row>
-  <row>
-   <cell name="alr_no"/>
-  </row>
-  <row>
-   <cell name="alr_date"/>
-  </row>
-  <row>
-   <cell name="alr_scan"/>
-  </row>
-  <row>
-   <cell name="hq_type"/>
-  </row>
-  <row>
-   <cell name="hq_grade"/>
-  </row>
-  <row>
-   <cell name="hq_school"/>
-  </row>
-  <row>
-   <cell name="hq_matric_no"/>
-  </row>
-  <row>
-   <cell name="hq_session"/>
-  </row>
-  <row>
-   <cell name="hq_disc"/>
-  </row>
-  <row>
-   <cell name="hq_scan"/>
-  </row>
-  <row>
-   <cell name="birth_certificate"/>
-  </row>
-  <row>
-   <cell name="lga_ident"/>
-  </row>
-  <row>
-   <cell name="acc_let"/>
-  </row>
-  <row>
-   <cell name="jamb_slip"/>
-  </row>
-  <row>
-   <cell name="cert"/>
-  </row>
-  <row>
-   <cell name="evid"/>
-  </row>
-  <row>
-   <cell name="jamb_let"/>
-  </row>
-  <row>
-   <cell name="res_stat"/>
-  </row>
-  <row>
-   <cell name="ref_let"/>
-  </row>
-  <row>
-   <cell name="cred"/>
-  </row>
-  <row>
-   <cell name="stat_dec"/>
-  </row>
-  <row>
-   <cell name="age_dec"/>
-  </row>
-  <row>
-   <cell name="acc_inst"/>
-  </row>
-  <row>
-   <cell name="fst_ch"/>
-  </row>
-  <row>
-   <cell name="scd_ch"/>
-  </row>
-  <row>
-   <cell name="sup_adm"/>
-  </row>
-  <row>
-   <cell name="uniben"/>
-  </row>
-  <row>
-   <cell name="form_matric_no"/>
-  </row>
-  <row>
-   <cell name="def_adm"/>
-  </row>
-  <row>
-   <cell name="acknow"/>
-  </row>
  </table>
 </object>
Index: WAeUP_SRP/trunk/skins/waeup_default/portlet_waeup_status_display.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/portlet_waeup_status_display.pt	(revision 774)
+++ WAeUP_SRP/trunk/skins/waeup_default/portlet_waeup_status_display.pt	(revision 775)
@@ -6,4 +6,6 @@
                                         'admission_applied',
                                         'cleared_and_validated',
+                                        'pume_passed',
+                                        'pume_failed',
                                         'admitted',
                                         'clearance_pin_entered',