Index: /WAeUP_SRP/trunk/profiles/default/themes.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/themes.xml	(revision 778)
+++ /WAeUP_SRP/trunk/profiles/default/themes.xml	(revision 779)
@@ -11,4 +11,5 @@
   <element key="accommodation_slip" value="WAeUP_Student+Slippage"/>
   <element key="pume_slip" value="WAeUP_Student+Slippage"/>
+  <element key="pume_anon_slip" value="WAeUP_Student+Slippage"/>  
  </property>
  <object name="default" meta_type="Portal Theme"/>
Index: /WAeUP_SRP/trunk/skins/waeup_student/display_pume_result.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/display_pume_result.py	(revision 778)
+++ /WAeUP_SRP/trunk/skins/waeup_student/display_pume_result.py	(revision 779)
@@ -44,7 +44,7 @@
                                  )
 elif psm == 'valid':
-    url = "%s/campus/students/%s/pume_slip" % (context.portal_url(),ds['s_id'])
+    url = "%s/campus/students/%s/pume/pume_anon_view" % (context.portal_url(),ds['s_id'])
     return REQUEST.RESPONSE.redirect(url)
-    
+
 
 return
Index: eUP_SRP/trunk/skins/waeup_student/layout_accommodation_view.pt_not_used
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/layout_accommodation_view.pt_not_used	(revision 778)
+++ 	(revision )
@@ -1,36 +1,0 @@
-<!-- a layout_lib macro -->
-<!-- $Id: layout_lib_default_view.pt 34052 2006-03-06 14:59:24Z atchertchian $ -->
-<metal:block define-macro="default_view"
-  tal:define="layout options/layout;
-              dm options/datastructure/getDataModel;
-              widgets python:context.getRenderedWidgets(layout);
-              fields python:('session',
-                                 'bed',
-                                 'student_status',
-                                 'acco_res_sc_pin',
-                                 'acco_res_date',
-                                 'acco_maint_sc_pin', 
-                                 'acco_maint_date',
-                                 )"
-                                 >
-  <table cellpadding="2" cellspacing="2" summary="layout">
-    <tr tal:repeat="field fields">
-      <tal:block tal:define="cell python: widgets[field]">
-        <tal:block define="widget cell/widget">
-          <div tal:attributes="class cell/widget_css_class|string:label;
-            id python:widget.getHtmlWidgetId()+'_widget';">
-            <td >
-             <span class="dlabel"
-                    tal:condition="widget/label"
-                    tal:content="widget/label">label</span>:
-            </td>
-            <td> 
-               <span tal:condition="cell" tal:content="structure cell/widget_rendered"></span>
-               <span tal:condition="not:cell/widget_rendered"> none </span>
-            </td>
-          </div>
-        </tal:block>
-      </tal:block>
-    </tr>
-  </table>
-</metal:block>
Index: /WAeUP_SRP/trunk/skins/waeup_student/pume_anon_slip.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/pume_anon_slip.pt	(revision 779)
+++ /WAeUP_SRP/trunk/skins/waeup_student/pume_anon_slip.pt	(revision 779)
@@ -0,0 +1,19 @@
+<metal:html tal:define="app_doc python: context.aq_parent.application.getContent();
+                        pume_doc python: context.getContent()">
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+      <h3>PUME Result Slip</h3>
+      <br />
+      <span tal:omit-tag=""
+            tal:content="structure python: app_doc.render(proxy=app_doc,
+            layout_mode='view_info', 
+            layout_id='student_application_fe')" 
+            />
+      <span tal:condition="python:1" tal:omit-tag=""
+            tal:content="structure python: pume_doc.render(proxy=pume_doc,
+            layout_mode='view_slip', 
+            layout_id='student_pume_fe')" 
+            />
+    </metal:main>
+  </metal:body>
+</metal:html>
Index: /WAeUP_SRP/trunk/skins/waeup_student/pume_anon_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/pume_anon_view.pt	(revision 779)
+++ /WAeUP_SRP/trunk/skins/waeup_student/pume_anon_view.pt	(revision 779)
@@ -0,0 +1,31 @@
+<metal:html tal:define="app_doc python: context.aq_parent.application.getContent();
+                        pume_doc python: context.getContent()">
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+
+            
+        <div style="text-align: right">
+        <a href="" target="slip" tal:attributes="href string:pume_anon_slip"
+            onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
+            <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
+            PUME Result Slip
+        </a>
+        </div>
+
+        <h3>PUME Results of <span tal:content="app_doc/jamb_firstname" />
+                            <span tal:content="app_doc/jamb_lastname" /></h3>
+
+        <span tal:omit-tag=""
+              tal:content="structure python: app_doc.render(proxy=app_doc,
+              layout_mode='view_info', 
+              layout_id='student_application_fe')" 
+              />        
+        <span tal:omit-tag=""
+              tal:content="structure python: pume_doc.render(proxy=pume_doc,
+              layout_mode='view', 
+              layout_id='student_pume_fe')" 
+              />
+
+    </metal:main>
+  </metal:body>
+</metal:html>
Index: /WAeUP_SRP/trunk/skins/waeup_student/pume_slip.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/pume_slip.pt	(revision 778)
+++ /WAeUP_SRP/trunk/skins/waeup_student/pume_slip.pt	(revision 779)
@@ -1,3 +1,3 @@
-<metal:html tal:define="app_doc python: context.application.getContent()">
+<metal:html tal:define="info context/getStudentInfo"> 
   <metal:body use-macro="here/main_template/macros/master">
     <metal:main fill-slot="main">
@@ -5,5 +5,5 @@
         <metal:block use-macro="here/error_not_found/macros/not_found" />
       </span>
-      <h3>Hostel Allocation Slip (and Maintenance Receipt)</h3>
+      <h3>PUME Result Slip</h3>
       <br />
       <span tal:omit-tag=""
@@ -12,8 +12,8 @@
             layout_id='student_application_fe')" 
             />
-      <span tal:condition="python:0" tal:omit-tag=""
-            tal:content="structure python: info['acco_doc'].render(proxy=info['acco_doc'],
+      <span tal:omit-tag=""
+            tal:content="structure python: info['pume_doc'].render(proxy=info['pume_doc'],
             layout_mode='view_slip', 
-            layout_id='student_accommodation_fe')" 
+            layout_id='student_pume_fe')" 
             />
     </metal:main>
Index: /WAeUP_SRP/trunk/skins/waeup_student/pume_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/pume_view.pt	(revision 778)
+++ /WAeUP_SRP/trunk/skins/waeup_student/pume_view.pt	(revision 779)
@@ -9,5 +9,5 @@
             
         <div style="text-align: right"
-             tal:condition="python:review_state in ('admitted', )">
+             tal:condition="python:review_state in ('admitted', 'pume_passed', 'pume_failed',)">
         <a href="" target="slip" tal:attributes="href string:pume_slip"
             onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">