Index: /WAeUP_SRP/trunk/Students.py
===================================================================
--- /WAeUP_SRP/trunk/Students.py	(revision 779)
+++ /WAeUP_SRP/trunk/Students.py	(revision 780)
@@ -334,4 +334,5 @@
             app.getContent().edit(mapping=da)
             app.manage_setLocalRoles(sid, ['Owner',])
+            #wftool.doActionFor(app,'close')
             dp_fields = (
                          'pume_eng_score',
@@ -343,11 +344,11 @@
             pume = student.pume
             pume.getContent().edit(mapping=dp)
-            wftool.doActionFor(pume,'close',dest_container=app)
+            #wftool.doActionFor(pume,'close')
             pume.manage_setLocalRoles(sid, ['Owner',])
             student.getContent().createSubObjects()
             if dp['pume_tot_score']>49:
-                wftool.doActionFor(student,'pume_pass',dest_container=student)
+                wftool.doActionFor(student,'pume_pass')
             else:
-                wftool.doActionFor(student,'pume_fail',dest_container=student)
+                wftool.doActionFor(student,'pume_fail')
             if len(no_import) > 1:
                 open("%s/import/%s_not_imported.csv" % (i_home,name),"w").write(
Index: /WAeUP_SRP/trunk/WAeUPTables.py
===================================================================
--- /WAeUP_SRP/trunk/WAeUPTables.py	(revision 779)
+++ /WAeUP_SRP/trunk/WAeUPTables.py	(revision 780)
@@ -21,4 +21,13 @@
 from Globals import InitializeClass
 from Products.ZCatalog.ZCatalog import ZCatalog
+from AccessControl import ClassSecurityInfo
+from Products.CMFCore.permissions import ModifyPortalContent
+
+import DateTime
+import csv,re
+import logging
+import Globals
+p_home = Globals.package_home(globals())
+i_home = Globals.INSTANCE_HOME
 
 from interfaces import IWAeUPTable
@@ -37,4 +46,5 @@
     
     implements(IWAeUPTable)
+    security = ClassSecurityInfo()
         
     def addRecord(self, **data):
@@ -71,4 +81,25 @@
         self.catalog_object(dict2ob(record_data), uid)
 
+    security.declareProtected(ModifyPortalContent,"exportAllRecords")
+    def exportAllRecords(self):
+        "export a WAeUPTable"
+        #import pdb;pdb.set_trace()
+        fields = [field for field in self.schema()]
+        format = ','.join(['"%%(%s)s"' % fn for fn in fields])
+        csv = []
+        csv.append(','.join(['"%s"' % fn for fn in fields]))
+        for uid in self._catalog.uids:
+            records = self.searchResults({"%s" % self.key : uid})
+            if len(records) > 1:
+                # Can not happen, but anyway...
+                raise ValueError("More than one record with uid %s" % uid)
+            if len(records) == 0:
+                raise KeyError("No record for uid %s" % uid)
+            rec = records[0]
+            csv.append(format % rec)
+        current = DateTime.DateTime().strftime("%d-%m-%y_%H_%M_%S")
+        open("%s/import/%s-%s.csv" % (i_home,self.getId(),current),"w+").write('\n'.join(csv))
+        
+            
 class AccommodationTable(WAeUPTable):
     
Index: /WAeUP_SRP/trunk/Widgets.py
===================================================================
--- /WAeUP_SRP/trunk/Widgets.py	(revision 779)
+++ /WAeUP_SRP/trunk/Widgets.py	(revision 780)
@@ -304,6 +304,7 @@
                 if s is None:
                     err = 'No Student with JAMB-Reg-No %s' % (value)
-                s_id = s.getId()
-                datastructure['s_id'] = s_id
+                else:
+                    s_id = s.getId()
+                    datastructure['s_id'] = s_id
             if err:
                 datastructure.setError(widget_id, err)
Index: /WAeUP_SRP/trunk/profiles/default/actionicons.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 779)
+++ /WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 780)
@@ -238,6 +238,6 @@
               title="Logout" priority="1"
               icon_expr="actionicon_logout.png"/>
- <action-icon category="student" action_id="apply_admission"
-              title="Apply for PUME" priority="2"
+ <action-icon category="student" action_id="display_pume_result"
+              title="Display PUME Result" priority="2"
               icon_expr="bell.png"/>
  <action-icon category="student" action_id="request_clearance"
Index: /WAeUP_SRP/trunk/profiles/default/actions.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 779)
+++ /WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 780)
@@ -132,7 +132,7 @@
   <action title="  " action_id="dummy2" category="object" condition_expr=""
      url_expr="" visible="True"/>
-  <action title="Apply for PUME" action_id="apply_admission"
+  <action title="View PUME-Results" action_id="display_pume_result"
      category="student" condition_expr="not:member"
-     url_expr="string:${portal_url}/apply_admission"
+     url_expr="string:${portal_url}/display_pume_result"
      visible="True">
    <permission>View</permission>
Index: /WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_subobject_wf/definition.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_subobject_wf/definition.xml	(revision 779)
+++ /WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_subobject_wf/definition.xml	(revision 780)
@@ -33,4 +33,5 @@
   </permission-map>
   <permission-map name="View" acquired="True">
+   <permission-role>Anonymous</permission-role>
   </permission-map>
   <permission-map name="WAeUPModify own content"
Index: /WAeUP_SRP/trunk/skins/waeup_student/pume_anon_slip.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/pume_anon_slip.pt	(revision 779)
+++ /WAeUP_SRP/trunk/skins/waeup_student/pume_anon_slip.pt	(revision 780)
@@ -3,5 +3,7 @@
   <metal:body use-macro="here/main_template/macros/master">
     <metal:main fill-slot="main">
-      <h3>PUME Result Slip</h3>
+      <h3>PUME Results of <span tal:content="app_doc/jamb_firstname" />
+                            <span tal:content="app_doc/jamb_lastname" /></h3>
+
       <br />
       <span tal:omit-tag=""