Index: /WAeUP_SRP/trunk/profiles/default/actions.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 780)
+++ /WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 781)
@@ -2,7 +2,7 @@
 <object name="portal_actions" meta_type="CMF Actions Tool">
  <action-provider name="portal_membership">
-  <action title="Login" action_id="login" category="user"
+  <action title="Student Login" action_id="login" category="user"
      condition_expr="not: member"
-     url_expr="string:${portal_url}/login_staff"
+     url_expr="string:${portal_url}/login_student"
      visible="True">
    <permission>View</permission>
@@ -132,5 +132,11 @@
   <action title="  " action_id="dummy2" category="object" condition_expr=""
      url_expr="" visible="True"/>
-  <action title="View PUME-Results" action_id="display_pume_result"
+  <action title="Apply for PUME" action_id="apply_admission"
+     category="student" condition_expr="not:member"
+     url_expr="string:${portal_url}/apply_admission"
+     visible="False">
+   <permission>View</permission>
+  </action>
+  <action title="View PUME Results" action_id="display_pume_result"
      category="student" condition_expr="not:member"
      url_expr="string:${portal_url}/display_pume_result"
@@ -142,5 +148,5 @@
      url_expr="string:${portal_url}/request_clearance"
      visible="True">
-   <permission>View</permission>
+   <permission>False</permission>
   </action>
   <action title="Book Hostel" action_id="reserve_accommodation"
@@ -148,5 +154,5 @@
      url_expr="string:${portal_url}/reserve_accommodation"
      visible="True">
-   <permission>View</permission>
+   <permission>False</permission>
   </action>
   <action title="Register Courses" action_id="register_courses"
@@ -154,6 +160,6 @@
      url_expr="string:${portal_url}/register_courses"
      visible="True">
-   <permission>View</permission>
-  </action>  
+   <permission>False</permission>
+  </action>
   <action title="Home" action_id="students_home" category="student_navigation"
      condition_expr="member" url_expr="string:${portal_url}" visible="True">
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml	(revision 780)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml	(revision 781)
@@ -36,5 +36,5 @@
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="prefix">CLR</property>
+  <property name="prefix">APP</property>
   <property name="reference">jamb_reg_no</property>
   </widget>
Index: /WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_subobject_wf/definition.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_subobject_wf/definition.xml	(revision 780)
+++ /WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_subobject_wf/definition.xml	(revision 781)
@@ -9,5 +9,4 @@
  <state state_id="closed" title="">
   <exit-transition transition_id="open"/>
-  <exit-transition transition_id="publish"/>
  </state>
  <state state_id="content_addable" title="">
@@ -55,19 +54,8 @@
   </permission-map>
  </state>
- <state state_id="public" title="">
-  <exit-transition transition_id="close"/>
-  <permission-map name="Add portal content" acquired="True">
-  </permission-map>
-  <permission-map name="Modify portal content"
-                  acquired="True">
-  </permission-map>
-  <permission-map name="View" acquired="True">
-   <permission-role>Anonymous</permission-role>
-  </permission-map>
- </state>
  <transition transition_id="close" title=""
              new_state="closed" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
    <guard-role>Manager</guard-role>
@@ -79,5 +67,5 @@
              new_state="content_addable" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
   </guard>
@@ -86,5 +74,5 @@
              new_state="created" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
   </guard>
@@ -95,5 +83,5 @@
              new_state="" trigger="USER" before_script=""
              after_script="">
-  
+
   <guard>
   </guard>
@@ -103,5 +91,5 @@
              new_state="opened" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
    <guard-role>Manager</guard-role>
@@ -110,12 +98,3 @@
   </guard>
  </transition>
- <transition transition_id="publish" title=""
-             new_state="public" trigger="USER"
-             before_script="" after_script="">
-  
-  <guard>
-   <guard-role>Manager</guard-role>
-   <guard-role>SectionManager</guard-role>
-  </guard>
- </transition>
 </cps-workflow>
Index: /WAeUP_SRP/trunk/skins/waeup_student/display_pume_result.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/display_pume_result.py	(revision 780)
+++ /WAeUP_SRP/trunk/skins/waeup_student/display_pume_result.py	(revision 781)
@@ -26,5 +26,5 @@
                       layout_mode='create',
                       formaction = "display_pume_result",
-                      button = "do Search",
+                      button = "Search",
                       )
 if psm == 'invalid':
Index: /WAeUP_SRP/trunk/skins/waeup_student/display_pume_result_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/display_pume_result_form.pt	(revision 780)
+++ /WAeUP_SRP/trunk/skins/waeup_student/display_pume_result_form.pt	(revision 781)
@@ -13,11 +13,7 @@
     </metal:block>
       <metal:block fill-slot="main">
-        <h3>Display Your Post University Matriculation Examination Result! </h3>
+        <h3>Display Your Post University Matriculation Examination Results! </h3>
         <br />
         <div tal:replace="structure rendered_main" />
-          <p>Instructions :</p>
-          <ul>
-            <li>Enter your JAMB registration number above and hit search.</li> 
-        </ul>
       </metal:block>
       <metal:block fill-slot="sub">